Bug 48941 - can't run
Summary: can't run
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cdrecord   
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-12 17:04 UTC by Need Real Name
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 21:40:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-07-12 17:04:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2smp i686)

Description of problem:
repeatable.  CD drive works without problems otherwise.
can't run cdrecord
can't run cdrecord -scanbus successfully, cdrecord reports "no such file or
directory..." see below steps to reproduce
 

How reproducible:
Always

Steps to Reproduce:
[root@scotch /root]# rmmod ide-scsi
[root@scotch /root]# insmod ide-scsi
Using /lib/modules/2.4.2-2smp/kernel/drivers/scsi/ide-scsi.o
[root@scotch /root]#  cdrecord -scanbus
Cdrecord 1.9 (i686-pc-linux-gnu) Copyright (C) 1995-2000 Jvrg Schilling
cdrecord: No such file or directory. Cannot open SCSI driver.
cdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you are
root.
[root@scotch /root]# uname -a
Linux scotch 2.4.2-2smp #1 SMP Sun Apr 8 20:21:34 EDT 2001 i686 unknown
[root@scotch /root]# 


Actual Results:  see above

Expected Results:  the scanbus out as normal

Additional info:

Comment 1 Need Real Name 2001-07-12 19:40:27 UTC
I did some checking.  The above occurs when running X.

In a console window, the cdrom and ide-cd modules are not already loaded and they can easily loaded and all required modules for cdrecord load 
correctly (except for some that don't seem to exist anymore) and cdrecord -scanbus reports the correct data about the cd writer.  However, I can't seem 
to be able to load the required modules when in an X window.  When in X it seems that the cdrom and ide-cd modules are preloaded, the rest of the 
modules needed for cdrecord don't load without errors.

Work-around: kill the x-server before using the cdrecord.

Comment 2 Need Real Name 2001-07-12 21:05:26 UTC
If ide-cd is loaded, cdrecord doesn't see the drive.  cd-ide seems to get loaded when x is started.  Once its there it doesn't unload correctly or seem to.

I now loaded the scsi modules as part of rc5.d and rc3.d:

cdrom
scsi-mod
sg
sr_mod
loop
ide-scsi


once loaded x can (and will) startup correctly.  the drive must then (of course) be accesses as /dec/scd0



Comment 3 Mike A. Harris 2002-01-24 20:44:08 UTC
Correct.  This isn't really a bug, just a misconfiguration. In order
to do CD burning in Linux with IDE/ATAPI CD burner drives, you must
configure your CD burner to use the ide-scsi kernel module.  The
drive is then accessed like a SCSI device.


Note You need to log in before you can comment on or make changes to this bug.